QGIS Application - Feature request #9527
Large icons for touch based tablets
2014-02-10 06:04 AM - Bo Victor Thomsen

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18117
Description

I'm using QGIS on a windows based tablet with a touch sensitive screen for field surveying work. My work situation would be immensely
improved if it was possible have icons with sizes larger than 32 (pixel/points ?). AFAIK, QGIS icons is SVG based so it should be fairly
easy to add icons size choices like 48, 64 and 72.

By setting icons to a really large size (>> 32) and removing unnecessary menus and icons , it would be possible to have a really nice
tablet-based experience with QGIS without resorting to programming a whole new user-interface.

Regards

Bo Victor Thomsen
Aestas-GIS
Denmark

Associated revisions

Revision b1ce532d - 2014-08-27 08:42 PM - Matthias Kuhn
Add icon size 48 and 64
To make life easier on touch devices

Fix #9527

History

#1 - 2014-08-27 11:42 AM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"b1ce532dfd890cfb548066a317c41bf16b0245a3".

#2 - 2014-08-27 11:47 AM - Matthias Kuhn

For removing unnecessary menus and icons, please resort to customization (It would be nice if you could share if you have something of public interest)

#3 - 2014-08-27 12:53 PM - Bo Victor Thomsen

Thank You Matthias - And | will share the result, when I - using customization - have made a decent user interface fitting for tablets

Regards
Bo Victor
